<% if (pagination == 2){ %>
  <% page.posts.each(function(post){ %>
    <%- partial('article', {post: post, index: true}) %>
  <% }) %>
<% } else { %>
  <% var last; %>
  <% page.posts.each(function(post, i){ %>
    <% var year = post.date.year(); %>
    <% if (last != year){ %>
      <% if (last != null){ %>
        </div></section>
      <% } %>
      <% last = year; %>
      <section class="archives-wrap">
        <div class="archive-year-wrap">
          <span><%= year %></span>
        </div>
        <div class="archives">
    <% } %>
    <%- partial('archive-post', {post: post, even: i % 2 == 0}) %>
  <% }) %>
  <% if (page.posts.length){ %>
    </div></section>
  <% } %>
<% } %>
<% if (page.total > 1){ %>
  <nav id="page-nav">
    <% var prev_text = "&laquo; " + __('Previous');var next_text = __('Next') + " &raquo;"%>
    <%- paginator({
      prev_text: prev_text,
      next_text: next_text
    }) %>
  </nav>
<% } %>
